using System;

internal sealed class Delegate487 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate487 delegate487_1)
	{
		return delegate487_1(object_0);
	}

	public extern Delegate487(object object_0, IntPtr intptr_0);

	static Delegate487()
	{
		Class10.smethod_13(typeof(Delegate487).TypeHandle);
	}

	internal static Delegate487 delegate487_0;
}
